<?php

namespace App\Http\Controllers;

use App\Departments;
use App\Tickets;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class FindController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function search(Request $request){
        $tickets = Tickets::where('subject', 'like', '%' .$request->q . '%')->where(['assigned_to' => Auth::id()])->paginate(15);
        $search_term = $request->q;

        $open = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'ouverte'])->count();
        $replied = Tickets::where(['assigned_to' => Auth::id(), 'replayed'=> 1])->count();
        $closed = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'terminée'])->count();
        $pending = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'en cours'])->count();
        $departments = Departments::all();
        $tickets_depart = Tickets::where('assigned_to', Auth::id())->get();

        return view('tickets.index', compact('tickets', 'search_term', 'open','replied', 'closed', 'pending', 'departments', 'tickets_depart'));
    }

    public function status($status){
        $tickets = Tickets::where('status', $status)->where(['assigned_to' => Auth::id()])->paginate(15);
        $open = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'ouverte'])->count();
        $replied = Tickets::where(['assigned_to' => Auth::id(), 'replayed'=> 1])->count();
        $closed = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'terminée'])->count();
        $pending = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'en cours'])->count();
        $departments = Departments::all();
        $tickets_depart = Tickets::where('assigned_to', Auth::id())->get();

        return view('tickets.index', compact('tickets', 'open','replied', 'closed', 'pending', 'departments', 'tickets_depart'));

    }


    public function department($id){

        $tickets = Tickets::where('department_id', $id)->where(['assigned_to' => Auth::id()])->paginate(15);

        $open = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'ouverte'])->count();
        $replied = Tickets::where(['assigned_to' => Auth::id(), 'replayed'=> 1])->count();
        $closed = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'terminée'])->count();
        $pending = Tickets::where(['assigned_to' => Auth::id(), 'status'=> 'en cours'])->count();
        $departments = Departments::all();
        $tickets_depart = Tickets::where('assigned_to', Auth::id())->get();

        return view('tickets.index', compact('tickets', 'open','replied', 'closed', 'pending', 'departments', 'tickets_depart'));

    }
}
