<?php

namespace App\Providers;
use Illuminate\Support\ServiceProvider;
use App\Settings;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\Blade;
use Illuminate\Pagination\Paginator;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {

        view()->composer('*', function ($view) {
            $settings = Settings::all()->first();
            $view->with(['settings' => $settings]);
        });
        Schema::defaultStringLength(191);
        Blade::withoutDoubleEncoding();
        //Paginator::useBootstrapThree();
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
