<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Zizaco\Entrust\Traits\EntrustUserTrait;

class User extends Authenticatable
{
    use Notifiable;
    use EntrustUserTrait;
    public $timestamps = true;
    

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'username','email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function departments(){
        return $this->belongsTo('App\Departments', 'department_id');
    }

    public function tickets(){
        return $this->hasMany('App\Tickets', 'assigned_to');
    }

    public function settings(){
        return $this->belongsTo('App\UserSettings', 'user_id');
    }

    public function followed()
    {
        return $this->belongstoMany('App\Tickets', 'ticket_users', 'user_id','ticket_id');
    }

}
