@extends('admin.layouts.tickets')
@section('title', 'Modifier l\'utilisateur')
@section('content')
    <section id="category-one">
        <div class="category-one">
            <div class="container contact">
                <div class="submit-area">
                    <div class="row">
                        <div class="col-md-10 col-md-offset-1">
                            @if(count($errors->all()))
                                @foreach ($errors->all() as $error)
                                    <div class="alert alert-danger alert-dismissable">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                        <strong>Alert!</strong> {{ $error }}
                                    </div>
                                @endforeach
                            @endif
                            {{Form::open(['url'=>['/admin/staff',$user->id], 'class'=>'defaultForm','method' =>'PUT',  'files' => true])}}
                            <small>Modifier l'utilisateur</small>
                            <div class="small-border"></div>
                            <br>
                            <h1>
                                @if($user->avatar ==  null)
                                    <img src="{{asset('uploads')}}/avatar.png" alt="avatar" class="img-circle" style="height: 40px; width:40px">
                                    @else
                                    <img src="{{asset('uploads')}}/{{$user->avatar}}" alt="avatar" class="img-circle" style="height: 40px; width:40px">
                                @endif
                                {{$user->name}}</h1>
                            <hr>

                            <div class="form-group">
                                <label class="control-label">Nom*:</label>
                                <input type="text" class="form-control" name="name" value="{{$user->name}}" required/>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Nom d'utilisateur*:</label>
                                <input type="text" class="form-control" name="username" value="{{$user->username}}" required/>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Email*:</label>
                                <input type="email" class="form-control" name="email" value="{{$user->email}}" required/>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Avatar:</label>

                                <div class="custom-file-upload">
                                    <input type="file" id="file" accept="image/png, image/gif, image/jpeg" name="file" value="{{$user->avatar}}"/>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Fonction:</label>
                                <select name="department_id" class="form-control">
                                    <option value >Veuillez sélectionner</option>
                                    @foreach($departments as $department)
                                        <option value="{{$department->id}}" {{($user->department_id) == $department->id ? 'selected' : ''}}>{{$department->name}}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Role:</label>
                                <div class="checkbox" style="padding-left: 10px;">
                                    <label>
                                        <input name="role" id="role" type="checkbox" autocomplete="off" {{ $user->data != null ? 'checked' : '' }}> Admin
                                    </label>
                                </div>
                                
                            </div>
                        
                            <div>
                                <div class="form-group" id="users" style="{{ $user->data != null ? '' : 'display:none' }}">
                                    <label class="control-label">Utilisateurs:</label>
                                    <div class="panel panel-primary" style="padding: 10px;">
                                        <div class="row">

                                            
                                            @php $count = 0 @endphp
                                            @foreach($users as $usero)
                                                @if ($usero->id != 1 and $usero->id != $user->id)
                                                    @if ($count == 0 or $count % 5 == 0)
                                                        <div class="col-sm-6">
                                                    @endif
                                                    @php $count = $count +1 @endphp
                                                    <div class="checkbox">
                                                        <label><input type="checkbox" class="usersckeckbox" {{ in_array($usero->id, json_decode($user->data))?'checked':'' }} name="data[]" value="{{ $usero->id }}">{{ $usero->name }} </label>
                                                    </div>
                                                    @if ($count != 0 && ($count % 5 == 0 || $loop->index == $loop->last))
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                            
                            <br>


                            <div class="submit-button">
                                <button type="submit" class="btn btn-default">Mise à jour</button>
                            </div>

                            {{Form::close()}}

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@stop

@section('script')
    <script>
        $(document).ready(function () {
            $('.file-upload-input').attr('value', '{{$user->avatar}}');
            
            $('#role').click(function(){
                $("#users").toggle(this.checked);
            },function(){
                $("#users").toggle(this.checked);
                $('.usersckeckbox').removeAttr('checked');    
            });
        });
    </script>
@stop
