@extends('admin.layouts.tickets')
@section('title', 'Liste d\'utilisateur')
@section('content')
    <div class="page-content">
        <section id="category-one">
            <div class="category-one">
                <div class="container">
                    <div class="row">
                        <div class="col-md-10 col-md-offset-1">
                            @if(Session::has('message'))
                                <div class="alert alert-success alert-dismissable">
                                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                    <strong>Alerte!</strong> {{ Session::get('message') }}
                                </div>
                            @endif

                            <div class="table-section">
                                <div class="table-responsive">
                                    <table class="table table-lead user-table">
                                        <h3 class="title clearfix">Utilisateur 
                                            @if(Auth::user()->hasRole('admin'))
                                            <a href="{{url('admin/staff/create')}}" class="pull-right">Ajouter</a>
                                            @endif

                                        </h3>
                                        <thead>
                                        <tr>
                                            <th class="heading">Nom</th>
                                            <th class="heading">Email</th>
                                            <th class="heading">Avatar</th>
                                            <th class="heading">Fonction</th>
                                            <th class="heading">Ajouté le</th>
                                            @if(Auth::user()->hasRole('admin'))
                                            <th class="heading">Action</th>
                                            @endif

                                        </tr>
                                        </thead>
                                        <tbody>

                                        @foreach($users as $user)
                                            @if($user->hasRole('staff') or $user->hasRole('vice-president'))
                                                
                                                @if (in_array($user->id, json_decode(Auth::user()->data)) || Auth::id() == 1 )
                                                <tr id="{{$user->id}}">
                                                    <td>
                                                        <a href="{{ Auth::user()->hasRole('admin')?url('admin/staff').'/'.$user->id.'/edit':'#' }}">
                                                            {{$user->name}}
                                                        </a>
                                                    </td>
                                                    <td>{{$user->email}}</td>
                                                    <td>
                                                        @if($user->avatar ==  null)
                                                            <img src="{{asset('uploads')}}/avatar.png" alt="avatar" class="img-circle" style="height: 40px; width:40px">
                                                        @else
                                                            <img src="{{asset('uploads')}}/{{$user->avatar}}" alt="avatar" class="img-circle" style="height: 40px; width:40px">

                                                        @endif
                                                    </td>

                                                    <td>
                                                        @if($user->department_id ==  null)
                                                            Pas de fonction
                                                            @else
                                                            {{$user->departments->name}}


                                                        @endif
                                                    </td>
                                                    <td>{{$user->created_at}}</td>
                                                    @if(Auth::user()->hasRole('admin'))
                                                    <td>
                                                        <a href="{{url('admin/staff')}}/{{$user->id}}/edit" class="eye">
                                                            <i class="fa fa-pencil"></i></a>
                                                        <a href="#" class="eye delete-btn" data-id="{{$user->id}}">
                                                            <i class="fa fa-trash"></i>
                                                        </a>
                                                    </td>
                                                    @endif
                                                </tr>
                                                @endif
                                            @endif
                                        @endforeach

                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div class="pagination_links clearfix">
                                {{ $users->links() }}
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </div>
@stop
@section('script')
    <script>
        $(document).ready(function () {
            $(document).on('click', '.delete-btn', function () {
                var id = $(this).attr('data-id');
                swal({
                        title: "Êtes-vous sûr?",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#DD6B55",
                        confirmButtonText: "Oui, supprimez-le!",
                        cancelButtonText: "Non, annuler!",
                        closeOnConfirm: false,
                        closeOnCancel: true
                    },
                    function(isConfirm){
                        if (isConfirm) {
                            $.ajax({
                                type: 'DELETE',
                                url: '{{url('/admin/staff')}}'+"/"+id,
                                data:{
                                    id:id,
                                    '_token': '{{csrf_token()}}'
                                },
                                success: function (data) {
                                    $('.user-table tr#'+id+'').hide();
                                    swal("Supprimé!", "Supprimé avec succès.", "success");

                                }
                            })
                        } else {
                            swal("Cancelled", "Staff is safe :)", "error");
                        }
                    });
            });
        });
    </script>

@stop
