@extends('admin.layouts.app')
@section('title', 'Modifier la tâche')
@section('content')
    <section id="main-home">
        <div class="main-home">
            <div class="main-img-area app">
                <div class="container">
                    <h1>Modifier la tâche</h1>
                </div>
            </div>
        </div>
    </section>
    <section id="category-one">
        <div class="category-one">
            <div class="container contact">
                <div class="submit-area">
                    <div class="row">
                        <div class="col-md-9">
                            @if(count($errors->all()))
                                @foreach ($errors->all() as $error)
                                    <div class="alert alert-danger alert-dismissable">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                        <strong>Alert!</strong> {{ $error }}
                                    </div>
                                @endforeach
                            @endif


                            {{Form::open(['url'=>['admin/update/tickets',$ticket->id], 'class'=>'defaultForm','method' =>'post',  'files' => true])}}
                            
                            <small>Modifier</small>
                            <div class="small-border"></div>
                            <hr>

                            @if(Session::has('message'))
                                <div class="alert alert-success alert-dismissable">
                                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                    <strong>Alerte!</strong> {{Session::get('message')}}
                                </div>
                            @endif

                            <div class="form-group">
                                <label class="control-label">Sujet* :</label>
                                <input type="text" class="form-control" name="subject" value="{{$ticket->subject}}" required/>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Description :</label>
                                <textarea class="form-control" name="description" >{{$ticket->description}}</textarea>
                                <span class="help-block" id="message"></span>
                            </div>
                            

                            <div class="form-group">
                                <label class="control-label">Liées à:</label>
                                
                            </div>
                        
                            <div>
                                <style>
                                    .panel-primary .checkbox, .radio{
                                        margin: 5px 0 0 0;
                                    }
                                </style>
                                <div class="form-group" >
                                    <div class="panel panel-primary" style="padding: 10px;">
                                    <label class="control-label">Utilisateurs:</label>
                                        <div class="row">
                                            @php $count = 0 @endphp
                                            @foreach($users as $usero)
                                                @if ($usero->id != Auth::id())
                                                        <div class="col-sm-6">
                                                    @php $count = $count +1 @endphp
                                                    <div class="checkbox">
                                                        <label><input type="checkbox" class="usersckeckbox"  {{ in_array($usero->id, $ticketUser)?'checked':'' }} name="data[]" value="{{ $usero->id }}">{{ $usero->name }} </label>
                                                    </div>
                                                        </div>
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>

                            <div class="submit-button">
                                <button type="submit" class="btn btn-default">Mise à jour</button>
                            </div>

                            {{Form::close()}}

                        </div>
                        <div class="col-md-3 col-sm-12">
                            <div class="ticket-info">
                                <div class="title-sidebar">
                                    <h1>Informations</h1>
                                </div>
                                <table class="table">
                                    <tbody>
                                    <tr>
                                        <td class="tno"># Numéro :</td>
                                        <td><span class="label-green">{{$ticket->token_no}}</span></td>
                                    </tr>
                                    <tr>
                                        <td class="tno">Envoyé par :</td>
                                        <td><span>{{$ticket->submittedBy->name}}</span></td>
                                    </tr>
                                    <tr>
                                        <td>Affecté à :</td>
                                        @if($ticket->assigned_to  == null)
                                            <td class="tno">non affecté</td>
                                        @else
                                            <td class="tno">{{$ticket->users->name}}</td>
                                        @endif
                                    </tr>
                                    <tr>
                                        <td>Fonction :</td>
                                        <td class="tno">{{$ticket->users->departments->name}}</td>
                                    </tr>
                                    <tr>
                                        <td>Statut :</td>
                                        <td><span class="ticket-status {{$ticket->status}}">{{$ticket->status}}</span></td>
                                    </tr>
                                    <tr>
                                    @if( Auth::id() == $ticket->user_id)
                                        <td class="no-border">
                                            <span class="new-tk ticker">
                                                <a href="javascript:;" data-toggle="modal" data-target="#assign-ticket">
                                                    Affecter à
                                                </a>

                                            </span>
                                        </td>
                                    @endif
                                        <td class="no-border">
                                            <span class="update-tk ticker">
                                                <a href="javascript:;" data-toggle="modal" data-target="#status-modal"> MAJ statut</a>
                                            </span>
                                        </td>
                                    </tr>

                                    </tbody>
                                </table>
                            </div>
                            <!--ticket-files-->
                            <div class="ticket-files">
                                <div class="title-sidebar">
                                    <h1>Pièces jointes</h1>
                                </div>
                                <table class="table">
                                    <tbody>
                                    <tr>
                                        <td>Nom</td>
                                        <td>Telechargé par</td>
                                    </tr>

                                    @foreach($files as $file)
                                        <tr>
                                            <td>
                                                <a href="{{url('download')}}/{{$file->name}}" class="file-up">{{$file->name}}</a>
                                            </td>
                                            <td>{{$file->users->name}}</td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="modal fade" id="status-modal">
        <div class="modal-dialog">
            <div class="modal-content">
                {{Form::open(['url'=>['admin/update/status', $ticket->id], 'class'=>'defaultForm','method' =>'post'])}}
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Mettre à jour le statut de la tâche</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label">Statut:</label>
                        <select name="status" class="form-control">

                            <option value="ouverte" {{($ticket->status) == 'ouverte'? 'selected': ''}}>Ouverte</option>
                            <option value="terminée" {{($ticket->status) == 'terminée'? 'selected': ''}}>Terminée</option>
                            <option value="en cours" {{($ticket->status) == 'en cours'? 'selected': ''}}>En cours</option>

                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="basic-button red" data-dismiss="modal">Close</button>
                    <button type="submit" class="basic-button">Update</button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>
    <div class="modal fade" id="assign-ticket">
        <div class="modal-dialog">
            <div class="modal-content">
                {{Form::open(['url'=>['admin/assign/ticket', $ticket->id], 'class'=>'defaultForm','method' =>'post'])}}
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Assign Ticket</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label">Staff List:</label>
                        <select name="assign" class="form-control" required>
                            <option value>Veuillez sélectionner</option>
                            @foreach($staff as $item)
                                @if ($item->id != 1 && Auth::id() == 1)
                                <option value="{{$item->id}}" {{($ticket->assigned_to) == $item->id? 'selected': ''}}>{{$item->name}}</option>
                                @elseif ($item->id != 1 && in_array($item->id, json_decode(Auth::user()->data)) )
                                <option value="{{$item->id}}" {{($ticket->assigned_to) == $item->id? 'selected': ''}}>{{$item->name}}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="basic-button red" data-dismiss="modal">Close</button>
                    <button type="submit" class="basic-button">Update</button>
                </div>
                {{Form::close()}}
            </div>
        </div>
    </div>


@stop


@section('script')
    <script>
        $(document).ready(function () {
            $('input.upload').on('change', function () {
                var path = $(this).val();
                var filename = path.replace(/^.*\\/, "");
                $('.fileUpload span').html(filename);
            });


            $("#replies").on('submit', function (e) {
                e.preventDefault();
                if($('#replies textarea').val() == ''){
                    $('.reply-body').hide().fadeIn(800).delay(3000).fadeOut(800);
                    return false;
                }

                $.ajax({
                    type: 'POST',
                    url: '{{url('admin/add-reply')}}',
                    data: new FormData($("#replies")[0]),
                    async:false,
                    processData: false,
                    contentType: false,
                    success: function (data) {
                        $(".ticket_replies").append(data);
                        $('#replies')[0].reset();
                        $('.fileUpload span').html('Add File');
                        $('upload').val('');
                    },
                    error: function () {
                        alert('error');
                    }
                })
            });

            $(document).on('click',".delete-btn", function () {
                var id = $(this).attr('data-id');
                $(this).parent().closest('.outer-white').addClass('reply_to_delete');
                swal({
                            title: "Êtes-vous sûr?",
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Oui, supprimez-le!",
                            cancelButtonText: "Non, annuler!",
                            closeOnConfirm: false,
                            closeOnCancel: true
                        },
                        function(isConfirm){
                            if (isConfirm) {
                                $.ajax({
                                    type: 'POST',
                                    url: '{{url('admin/delete/replies')}}'+"/"+id,
                                    data:{
                                        id:id,
                                        '_token': '{{csrf_token()}}'
                                    },
                                    success: function (data) {
                                        $('.reply_to_delete').hide();
                                        swal("Supprimé!", "Supprimé avec succès.", "success");

                                    }
                                })
                            } else {
                                swal("Cancelled", "Your imaginary file is safe :)", "error");
                            }
                        });
            });
        });

    </script>



@stop