@extends('admin.layouts.tickets')
@section('title', 'Tâches')
@section('content')
    <div class="page-content">
        <section id="category-one">

            <div class="category-one">
                <div class="container">
                    <div class="row">
                        <div class="col-md-9 col-sm-12">
                            @if(Session::has('message'))
                                <div class="alert alert-success alert-dismissable">
                                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                    <strong>Alerte!</strong> {{ Session::get('message') }}
                                </div>
                            @endif
                            <div class="table-section">
                                <div class="title clearfix">
                                    <div class="row">
                                        <div class="col-xs-4 col-md-4">
                                            <div style="display: flex;">Tâches <span>  ({{count($tickets)}})</span></div>
                                        </div>
                                        <div class="col-xs-4 col-md-6">
                                            <div class="form-group">
                                                <select class="form-control" name="user" id="filterbyuser">
                                                <option value="">Filtrer par utilisateur</option>
                                                @foreach($users as $user)
                                                    @if ($user->id != 1 && Auth::id() == 1)
                                                    <option {{ (isset($userid) && $userid == $user->id) ? 'selected' : ''}} value="{{ $user->id }}">{{ $user->name }}</option>
                                                    @elseif ($user->id != 1 && in_array($user->id, json_decode(Auth::user()->data)) )
                                                    <option {{ (isset($userid) && $userid == $user->id) ? 'selected' : ''}} value="{{ $user->id }}">{{ $user->name }}</option>
                                                    @endif
                                                @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-xs-4 col-md-2">
                                            
                                            <a href="{{url('admin/new/ticket')}}" class="pull-right">Ajouter</a>
                                            </div>
                                    </div>
                                </div>

                                <div class="table-responsive">
                                    <table class="table table-lead ticket-table">
                                        <thead>
                                        <tr>
                                            <th class="heading">#</th>
                                            <th class="heading">Sujet</th>
                                            <th class="heading">Envoyé par</th>
                                            <th class="heading">Affecté à</th>
                                            <th class="heading">Statut</th>
                                            <th class="heading">Date</th>
                                            <th class="heading">Action</th>
                                        </tr>
                                        </thead>
                                        <tbody>

                                        @foreach($tickets as $ticket)
                                            <tr id="{{$ticket->id}}">
                                                <td>{{$ticket->token_no}}</td>
                                                <td>
                                                    <a href="{{url('admin/ticket')}}/{{$ticket->id}}/{{str_replace(' ', '-',   strtolower($ticket->subject) )}}">{{$ticket->subject}}</a></td>
                                                @if($ticket->user_id == Auth::id())
                                                    <td>Moi</td>
                                                @else
                                                    <td>{{ $ticket->submittedBy->name}}</td>
                                                @endif
                                                
                                                <td>{{ (isset($ticket->users))?$ticket->users->name:$ticket->name }} ({{ (isset($ticket->users))?$ticket->users->departments->name:$ticket->department }})</td>
                                                <td>
                                                    <span class="ticket-status {{$ticket->status}}">
                                                        {{$ticket->status}}
                                                    </span>
                                                </td>

                                                <td><a style="color: #6c757d;" data-toggle="tooltip" data-placement="top" title="{{ ($ticket->status == 'terminée')?'terminée':((new DateTime($ticket->created_at))->diff(new DateTime())->format("%a") . ' jours') }}">{{ date('d-m-Y', strtotime($ticket->created_at ?? ''->Fecha)) }}</a></td>
                                                <td>
                                                    @if($ticket->user_id == Auth::id())
                                                    <a href="{{url('admin/edit/tickets')}}/{{$ticket->id}}" class="eye" data-id="{{$ticket->id}}">
                                                        <i class="fa fa-pencil"></i>
                                                    </a>

                                                    <a href="javascript:;" class="eye delete-btn" data-id="{{$ticket->id}}">
                                                        <i class="fa fa-trash"></i>
                                                    </a>
                                                    @else
                                                    <a href="{{url('admin/ticket')}}/{{$ticket->id}}/{{str_replace(' ', '-',   strtolower($ticket->subject) )}}" class="eye" data-id="{{$ticket->id}}">
                                                        <i class="fa fa-eye"></i>
                                                    </a>
                                                    @endif
                                                    
                                                </td>
                                            </tr>
                                        @endforeach

                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <div class="pagination_links clearfix">
                                {{ $tickets->links() }}
                            </div>

                        </div>
                        <div class="col-md-3 ">
                            <div class="search_box clearfix">
                                <form action="{{url('admin/search/ticket')}}" method="get">
                                    @if(!empty($search_term))
                                        <input type="text" name="q" class="form-control" placeholder="Recherche..." required value="{{$search_term}}">
                                    @else
                                        <input type="text" name="q" class="form-control" placeholder="Recherche..." required>
                                    @endif

                                    <button type="submit" class="basic-button">Rechercher</button>
                                </form>
                            </div>

                            <div class="ticket-info">
                                <div class="title-sidebar">
                                    <h1>Rechercher par statut</h1>
                                </div>
                                <div class="catege-one">
                                    <ul>
                                        <li>
                                            <a href="{{ isset($liees)?url('admin/search/liees/status/ouverte') :url('admin/search/status/ouverte')}}" class="open">
                                                Tâches ouvertes
                                                <span class="number-box">{{$open}}</span>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="{{isset($liees)?url('admin/search/liees/status/terminée'):url('admin/search/status/terminée')}}" class="closed">
                                                Tâches fermées
                                                <span class="number-box"> {{$closed}}</span>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="{{isset($liees)?url('admin/search/liees/status/en cours'):url('admin/search/status/en cours')}}" class="pending">
                                                Tâches en cours
                                                <span class="number-box">{{$pending}}</span>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="{{isset($liees)?url('admin/search/liees/status/a répondu'):url('admin/search/status/a répondu')}}" class="replied">
                                                Tâches répondues
                                                <span class="number-box">{{$replied}}</span>
                                            </a>
                                        </li>

                                        <li>
                                            <a href="{{isset($liees)?url('admin/tickets/liees'):url('admin/tickets')}}">
                                                Toutes les tâches
                                                <span class="number-box">{{count($tickets_depart)}}</span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>

                            
                            @if(Auth::user()->hasRole('admin') && !isset($liees))
                            <div class="ticket-info">
                                <div class="title-sidebar">
                                    <h1>Fonctions</h1>
                                    <div class="catege-one">
                                        <ul>

                                            @foreach($departments as $department)
                                                <?php $count = 0?>
                                                @foreach($tickets_depart as $item)
                                                    @if(optional($item->users)->department_id == $department->id)
                                                        <?php $count++?>
                                                    @endif
                                                @endforeach
                                                <li>
                                                    <a href="{{url('admin/search/department')}}/{{$department->id}}">
                                                        {{$department->name}}
                                                        <span class="number-box">{{$count}}</span>
                                                    </a>
                                                </li>
                                            @endforeach
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            @endif

                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>


@stop
@section('script')
    <script>
        $(document).ready(function () {
            
            $(function () {
                $('[data-toggle="tooltip"]').tooltip()
            });
            
            $('.navbar-default .navbar-nav li').removeClass('active');
            $('.navbar-default .navbar-nav li.ticket').addClass('active');

            $(".delete-btn").on('click', function () {
                var id = $(this).attr('data-id');
                swal({
                            title: "Êtes-vous sûr?",
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#DD6B55",
                        confirmButtonText: "Oui, supprimez-le!",
                        cancelButtonText: "Non, annuler!",
                            closeOnConfirm: false,
                            closeOnCancel: true
                        },
                        function(isConfirm){
                            if (isConfirm) {
                                $.ajax({
                                    type: 'POST',
                                    url: '{{url('admin/delete/tickets')}}'+"/"+id,
                                    data:{
                                        id:id,
                                        '_token': '{{csrf_token()}}'
                                    },
                                    success: function (data) {
                                        $('.ticket-table tr#'+id+'').hide();
                                        swal("Supprimé!", "Supprimé avec succès.", "success");

                                    }
                                })
                            } else {
                                swal("Cancelled", "Record is safe :)", "error");
                            }
                        });
            });

            $("#filterbyuser").on('change', function () {
                var id = $(this).val();
                if (id != null) {
                    window.location.replace("{{isset($liees)?url('admin/tickets/liees/user'):url('admin/tickets/user')}}/"+id);
                }
            });
        });
    </script>

@stop

