@extends('admin.layouts.app')
@section('title', 'Ajouter une nouvelle tâche')
@section('content')

    <section id="main-home">
        <div class="main-home">
            <div class="main-img-area app">
                <div class="container">
                    <h1>Ajouter une nouvelle tâche</h1>
                </div>
            </div>
        </div>
    </section>

    <section id="category-one">
        <div class="category-one">
            <div class="container contact">
                <div class="submit-area">
                    <div class="row">
                        <div class="col-md-10 col-md-offset-1">
                            {{Form::open(['url'=>'admin/tickets', 'class'=>'defaultForm','method' =>'post',  'files' => true])}}
                            <h1>Tâche</h1>
                            <div class="small-border"></div>

                            <hr>

                            @if(count($errors->all()))
                                @foreach ($errors->all() as $error)
                                    <div class="alert alert-danger alert-dismissable">
                                        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                                        <strong>Alert!</strong> {{ $error }}
                                    </div>
                                @endforeach
                            @endif

                            <div class="form-group">
                                <label class="control-label">Affecter à :</label>
                                <select name="assign" class="form-control" required>
                                    <option value>Veuillez sélectionner</option>

                                    @foreach($staff as $item)
                                        @if ($item->id != 1 && Auth::id() == 1)
                                        <option value="{{$item->id}}" {{($ticket->assigned_to) == $item->id? 'selected': ''}}>{{$item->name}}</option>
                                        @elseif ($item->id != 1 && in_array($item->id, json_decode(Auth::user()->data)) )
                                        <option value="{{$item->id}}" {{($ticket->assigned_to) == $item->id? 'selected': ''}}>{{$item->name}}</option>
                                        @endif
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Joindre un fichier :</label>

                                <div class="custom-file-upload">
                                    <input type="file" id="file" name="file" />
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Sujet* :</label>
                                <input type="text" class="form-control" name="subject" value="{{ old('subject')}}" required/>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Description:</label>
                                <textarea class="form-control" name="description" required>{{ old('description')}}</textarea>
                                <span class="help-block" id="message"></span>
                            </div>

                            <div class="form-group">
                                <label class="control-label">Liées à:</label>
                                
                            </div>
                        
                            <div>
                                <div class="form-group" >
                                    <div class="panel panel-primary" style="padding: 10px;">
                                    <label class="control-label">Utilisateurs:</label>
                                        <div class="row">
                                            @php $count = 0 @endphp
                                            @foreach($users as $usero)
                                                @if ($usero->id != $user->id)
                                                    @if ($count == 0 or $count % 5 == 0)
                                                        <div class="col-sm-6">
                                                    @endif
                                                    @php $count = $count +1 @endphp
                                                    <div class="checkbox">
                                                        <label><input type="checkbox" class="usersckeckbox" name="data[]" value="{{ $usero->id }}">{{ $usero->name }} </label>
                                                    </div>
                                                    @if ($count != 0 && ($count % 5 == 0 || $loop->index == $loop->last))
                                                        </div>
                                                    @endif
                                                @endif
                                            @endforeach
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>

                            <div class="submit-button">
                                <button type="submit" class="btn btn-default">Envoyer</button>
                            </div>

                            {{Form::close()}}

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@stop
