<?php $__env->startSection('title', 'Tâches'); ?>

<?php $__env->startSection('content'); ?>

    <section id="main-home">
        <div class="main-home">
            <div class="main-img-area app">
                <div class="container">
                    <h1>Liste des tâches</h1>
                    <?php if (\Entrust::hasRole('staff')) : ?>
                    <p>Le tableau contient toutes les tâches qui vous ont été attribuées ou les tâches que vous avez soumises</p>
                    <?php endif; // Entrust::hasRole ?>
                </div>
            </div>
        </div>
    </section>

    <div class="page-content">
        <section id="category-one">
            <div class="category-one">
                <div class="container">
                    <div class="row">
                        <div class="col-md-9 col-sm-12">
                            <div class="table-section">
                                <h3 class="title clearfix">Liste des tâches</h3>
                                <div class="table-responsive">
                                    <table class="table table-lead ticket-table">
                                        <thead>
                                        <tr>
                                            <th class="heading">#</th>
                                            <th class="heading">Sujet</th>
                                            <?php if (\Entrust::hasRole('staff')) : ?>
                                            <th class="heading">Envoyé par</th>
                                            <?php endif; // Entrust::hasRole ?>
                                            <th class="heading">Statut</th>
                                            <th class="heading">Date</th>
                                            <th class="heading">Action</th>
                                        </tr>
                                        </thead>
                                        <tbody>

                                        <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ticket): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($ticket->user_id == Auth::id() || $ticket->assigned_to == Auth::id()): ?>
                                                <tr id="<?php echo e($ticket->id, false); ?>">
                                                    <td><?php echo e($ticket->token_no, false); ?></td>
                                                    <td>
                                                        <a href="<?php echo e(url('ticket'), false); ?>/<?php echo e($ticket->id, false); ?>/<?php echo e(str_replace(' ', '-',   strtolower($ticket->subject) ), false); ?>"><?php echo e($ticket->subject, false); ?></a></td>
                                                    <?php if (\Entrust::hasRole('staff')) : ?>
                                                    <?php if($ticket->user_id == Auth::id()): ?>
                                                        <td>Moi</td>
                                                    <?php else: ?>
                                                        <td><?php echo e($ticket->submittedBy->name, false); ?></td>
                                                    <?php endif; ?>
                                                    <?php endif; // Entrust::hasRole ?>
                                        
                                                    <td>
                                                    <span class="ticket-status <?php echo e($ticket->status, false); ?>">
                                                        <?php echo e($ticket->status, false); ?>

                                                    </span>
                                                    </td>

                                                    <td><a style="color: #6c757d;" data-toggle="tooltip" data-placement="top" title="<?php echo e(($ticket->status == 'terminée')?'terminée':((new DateTime($ticket->created_at))->diff(new DateTime())->format("%a") . ' jours'), false); ?>"><?php echo e(date('d-m-Y', strtotime($ticket->created_at ?? ''->Fecha)), false); ?></a></td>
                                                    <td>
                                                        <?php if(Auth::user()->hasRole('staff')): ?>
                                                            <?php if($settings->staff_can_edit == 'yes'): ?>
                                                                <a href="<?php echo e(url('ticket'), false); ?>/<?php echo e($ticket->id, false); ?>/<?php echo e(str_replace(' ', '-',   strtolower($ticket->subject) ), false); ?>" class="eye" data-id="<?php echo e($ticket->id, false); ?>">
                                                                    <i class="fa fa-eye"></i>
                                                                </a>
                                                            <?php endif; ?>
                                                        <?php endif; ?>
                                                    </td>
                                                </tr>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                        </tbody>
                                    </table>
                                </div>
                            </div> 
                            
                            <div class="pagination_links clearfix">
                                <?php echo e($tickets->links(), false); ?>

                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="second-heading-area">
                                <div class="search_box clearfix">
                                    <form action="<?php echo e(url('find/ticket'), false); ?>" method="get">
                                        <?php if(!empty($search_term)): ?>
                                            <input type="text" name="q" class="form-control" placeholder="Recherche" required value="<?php echo e($search_term, false); ?>">
                                        <?php else: ?>
                                            <input type="text" name="q" class="form-control" placeholder="Recherche" required>
                                        <?php endif; ?>
                                        <button type="submit" class="basic-button">Envoyer</button>
                                    </form>
                                </div>
                                <div class="ticket-info">
                                    <div class="title-sidebar">
                                        <h1>Rechercher par statut</h1>
                                    </div>
                                    <div class="catege-one">
                                        <ul>
                                            <li>
                                                <a href="<?php echo e(url('find/status/ouverte'), false); ?>" class="open">
                                                    Tâches ouvertes
                                                    <span class="number-box"><?php echo e($open, false); ?></span>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="<?php echo e(url('find/status/terminée'), false); ?>" class="closed">
                                                    Tâches fermées
                                                    <span class="number-box"> <?php echo e($closed, false); ?></span>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="<?php echo e(url('find/status/en cours'), false); ?>" class="pending">
                                                    Tâches en cours
                                                    <span class="number-box"><?php echo e($pending, false); ?></span>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="<?php echo e(url('find/status/a répondu'), false); ?>" class="replied">
                                                    Tâches répondues
                                                    <span class="number-box"><?php echo e($replied, false); ?></span>
                                                </a>
                                            </li>

                                            <li>
                                                <a href="<?php echo e(url('tickets'), false); ?>">
                                                    Toutes les tâches
                                                    <span class="number-box"><?php echo e(count($tickets_depart), false); ?></span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $(function () {
                $('[data-toggle="tooltip"]').tooltip()
            });
            $('.navbar-default .navbar-nav li').removeClass('active');
            $('.navbar-default .navbar-nav li.ticket').addClass('active');
            $(".delete-btn").on('click', function () {
                var id = $(this).attr('data-id');
                swal({
                            title: "Êtes-vous sûr?",
                            type: "warning",
                            showCancelButton: true,
                            confirmButtonColor: "#DD6B55",
                            confirmButtonText: "Oui, supprimez-le!",
                            cancelButtonText: "Non, annuler!",
                            closeOnConfirm: false,
                            closeOnCancel: true
                        },
                        function(isConfirm){
                            if (isConfirm) {
                                $.ajax({
                                    type: 'POST',
                                    url: '<?php echo e(url('/delete/tickets'), false); ?>'+"/"+id,
                                    data:{
                                        id:id,
                                        '_token': '<?php echo e(csrf_token(), false); ?>'
                                    },
                                    success: function (data) {
                                        $('.ticket-table tr#'+id+'').hide();
                                        swal("Supprimé!", "Supprimé avec succès.", "success");

                                    }
                                })
                            } else {
                                swal("Cancelled", "Record is safe :)", "error");
                            }
                        });
            });
        });
    </script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /itri/aitmello/public_html/t/resources/views/tickets/index.blade.php ENDPATH**/ ?>