<!DOCTYPE html>
<html lang="<?php echo e(config('app.locale'), false); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo e($settings['description'], false); ?> ">
    <meta name="keywords" content="<?php echo e($settings['keywords'], false); ?>">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token(), false); ?>">

    <title>Ait Melloul | <?php echo $__env->yieldContent('title'); ?></title>

    <link rel="stylesheet" href="<?php echo e(asset('plugin/bootstrap-3.3.7/css/bootstrap.min.css'), false); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugin/font-awesome-4.7.0/css/font-awesome.min.css'), false); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugin/sweetalert/dist/sweetalert.css'), false); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugin/datatable/jquery.dataTables.min.css'), false); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('plugin/slick/slick.css'), false); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/app.min.css'), false); ?>">

    <link rel="icon" href="<?php echo e(asset('images/fav.png'), false); ?>" type="image/x-icon"/>

    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>;
    </script>
</head>
<body>

<nav class="navbar navbar-default">
    <div class="container-fluid">
        <div class="navbar-header">
            <a class="navbar-brand navbar-link" href="<?php echo e(url('/'), false); ?>">
                <img src="<?php echo e(asset('uploads'), false); ?>/<?php echo e($settings['logo'], false); ?>" alt="LOGO"></a>
            <button class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navcol-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <div class="collapse navbar-collapse" id="navcol-1">
            <ul class="nav navbar-nav navbar-right">
                <?php if(Auth::user()): ?>
                    <?php if(Auth::user()->hasRole('admin') or Auth::user()->hasRole('vice-president')): ?>
                        <li class="ticket"><a href="<?php echo e(url('/admin/tickets'), false); ?>">Tableau de bord</a></li>
                    <?php endif; ?>

                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle clearfix" data-toggle="dropdown">
                            Notifications <span class="badge"><?php echo e(count(Auth::user()->unreadNotifications), false); ?></span>
                        </a>
                        <ul class="dropdown-menu notification_dropdown">
                            <?php $__currentLoopData = Auth::user()->notifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($notification->type == 'App\Notifications\TicketReply'): ?>
                                    <li>
                                        <a href="<?php echo e(url('admin/ticket'), false); ?>/<?php echo e($notification->data['ticket_id'], false); ?>/<?php echo e(str_replace(' ', '-',   strtolower($notification->data['ticket_title'])), false); ?>">
                                            <strong class="badge"><?php echo e($notification->data['reply_user'], false); ?></strong>
                                            <small>A répondu à une tâche</small>
                                            <br><span class="ticket_small_title"><?php echo e($notification->data['ticket_title'], false); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php if($notification->type == 'App\Notifications\TicketStatus'): ?>
                                    <li>
                                        <a href="<?php echo e(url('admin/ticket'), false); ?>/<?php echo e($notification->data['ticket_id'], false); ?>/<?php echo e(str_replace(' ', '-',   strtolower($notification->data['ticket_title'])), false); ?>">
                                            <small>Statut changé : </small>
                                            <strong class="badge"><?php echo e($notification->data['status'], false); ?></strong>
                                            <br>
                                            <span class="ticket_small_title"> <?php echo e($notification->data['ticket_title'], false); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php if($notification->type == 'App\Notifications\NewTicket'): ?>
                                    <li>
                                        <a href="<?php echo e(url('admin/ticket'), false); ?>/<?php echo e($notification->data['ticket_id'], false); ?>/<?php echo e(str_replace(' ', '-',   strtolower($notification->data['ticket_title'])), false); ?>">
                                            <small>Nouvelle tâche créée par</small>
                                            <strong class="badge"><?php echo e($notification->data['user_name'], false); ?></strong>
                                            <br>
                                            <span class="ticket_small_title"> <?php echo e($notification->data['ticket_title'], false); ?></span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </li>

                    <li class="dropdown profile">
                        <a href="#" class="dropdown-toggle clearfix" data-toggle="dropdown">
                            <?php if(Auth::user()->avatar == null): ?>
                                <span class="avatar"><img src="<?php echo e(asset('uploads/avatar.png'), false); ?>" alt="avatar"></span>
                            <?php else: ?>
                                <span class="avatar"><img src="<?php echo e(asset('uploads'), false); ?>/<?php echo e(Auth::user()->avatar, false); ?>" alt="avatar"></span>

                            <?php endif; ?>
                            <span class="user_name"><?php echo e(Auth::user()->name, false); ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="<?php echo e(url('admin/profile/settings'), false); ?>"><i class="fa fa-gear"></i> Paramètres de profil</a></li>
                            <li><a href="<?php echo e(url('admin/change/password'), false); ?>"><i class="fa fa-lock"></i> Changer le mot de passe</a></li>
                            <li role="separator" class="divider"></li>
                            <li>
                                <a href="<?php echo e(route('logout'), false); ?>" onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                                    <i class="fa fa-lock"></i> Se déconnecter
                                </a>

                                <form id="logout-form" action="<?php echo e(route('logout'), false); ?>" method="POST" style="display: none;">
                                    <?php echo e(csrf_field(), false); ?>

                                </form>
                            </li>
                        </ul>
                    </li>

                <?php endif; ?>

                <?php if(Auth::guest()): ?>
                    <li><a href="<?php echo e(url('login'), false); ?>">Login</a></li>
                <?php endif; ?>
            </ul>
        </div>
    </div>
</nav>
<?php echo $__env->yieldContent('content'); ?>


<section id="footer">
    <footer>
        <div class="footer">
            <div class="container">
                <div class="row">
                    <div class="footer-content">
                        <div class="col-md-12">
                            <div class="section-one">
                                <img style="height: 200px;" src="<?php echo e(asset('uploads'), false); ?>/<?php echo e($settings['footer_logo'], false); ?>" class="img-responsive" alt="Nothing">
                                <p class="media-body"><?php echo e($settings['footer_description'], false); ?>

                                </p>
                                <div class="social-icon">
                                    <ul>
                                        <li><a href="<?php echo e($settings['facebook'], false); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
                                        <li><a href="<?php echo e($settings['twitter'], false); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
                                        <li><a href="<?php echo e($settings['linkedin'], false); ?>" target="_blank"><i class="fa fa-linkedin"></i></a></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="registered">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="one text-center">
                                <p><?php echo e($settings['copyrights'], false); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</section>

<!--jquery-->
<script src="<?php echo e(asset('plugin/jquery/jquery.min.js'), false); ?>"></script>
<script src="<?php echo e(asset('plugin/bootstrap-3.3.7/js/bootstrap.min.js'), false); ?>"></script>
<script src="<?php echo e(asset('plugin/sweetalert/dist/sweetalert.min.js'), false); ?>"></script>
<script src="<?php echo e(asset('plugin/datatable/jquery.dataTables.min.js'), false); ?>"></script>
<script src="<?php echo e(asset('plugin/slick/slick.min.js'), false); ?>"></script>
<script src="<?php echo e(asset('js/app.js'), false); ?>"></script>

<script>
    $('.notification_dropdown li a').on('click', function () {
        $.ajax({
            type: 'GET',
            url: '<?php echo e(url('/admin/markAsRead'), false); ?>'
        })
    });
</script>
<?php echo $__env->yieldContent('script'); ?>

</body>
</html>
<?php /**PATH /itri/aitmello/public_html/t/resources/views/admin/layouts/app.blade.php ENDPATH**/ ?>