<?php 
/*
Plugin Name: CUAM Review
Plugin URI: aitmelloul.ma
Description: CUAM Review shortcode [cr_custom_plugin_form]
Version: 1.0.0
Author: ettaqi
Author URI: aitmelloul.ma
Text Domain: cr
*/

// If this file is called directly, abort. //
if ( ! defined( 'WPINC' ) ) {die;} // end if

// Let's Initialize Everything
if ( file_exists( plugin_dir_path( __FILE__ ) . 'core-init.php' ) ) {
require_once( plugin_dir_path( __FILE__ ) . 'core-init.php' );
}

function installTables() {
	global $wpdb;

	// we need this to access the maybe_create_table function
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );

	$charset_collate = $wpdb->get_charset_collate();
	$tablename = $wpdb->prefix . "cr_reviews";
	$columns = <<<COLUMNS
(
`ID` int(11) NOT NULL AUTO_INCREMENT,
`source` varchar(250) NULL,
`sexe` varchar(250) NULL,
`age` varchar(250) NULL,
`ville` varchar(250) NULL,
`email` varchar(250) NULL,
`education` varchar(250) NULL,
`metier` varchar(250) NULL,
`date_service` varchar(250) NULL,
`message` longtext NULL,
`administratif` longtext NULL,
`proximite` longtext NULL,
`reception` longtext NULL,
`autre` longtext NULL,
`datesent` date NULL,
PRIMARY KEY (`ID`)
)
COLUMNS;

	maybe_create_table( $wpdb->prefix . $table_name, "CREATE TABLE {$tablename} {$columns} {$charset_collate};" );

}
add_action( 'plugins_loaded', 'installTables' );

//`rating` int(11) NOT NULL,

function post_form() {

	    include(plugin_dir_path( __FILE__ ) .'/assets/inc/export_csv.php');


	if( ! session_id() ) {
		session_start();
	}
	// if the submit button is clicked, send the email
	if ( isset( $_POST['cr_submit'] ) ) {
		global $wpdb;

		//var_dump($_POST);die;
		
		// Storing google recaptcha response
		// in $recaptcha variable
		$recaptcha = $_POST['g-recaptcha-response'];
	  
		// Put secret key here, which we get
		// from google console
		$secret_key = '6LfYwRQiAAAAAHfcavPYonnYhJW5dwHSmFBQt1RN';
	  
		// Hitting request to the URL, Google will
		// respond with success or error scenario
		$url = 'https://www.google.com/recaptcha/api/siteverify?secret=' . $secret_key . '&response=' . $recaptcha;
	  
		// Making request to verify captcha
		//$response = file_get_contents($url);
		
		
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $result = json_decode(curl_exec($ch));
        curl_close($ch); 
		
	  
		// Response return by google is in
		// JSON format, so we have to parse
		// that json
		//$response = json_decode($response);
		$response = $result;
	    //var_dump($_POST);die;
		// Checking, if response is true or not
		//var_dump($response);die;
		if ($response->success == true) {
			//$_SESSION['cr_messages'] = 'Google reCAPTACHA verified';
			// sanitize form values
			$source = sanitize_text_field( $_POST["source"] );
			$sexe = sanitize_text_field( $_POST["sexe"] );
			$age = sanitize_text_field( $_POST["age"] );
			$ville = sanitize_text_field( $_POST["ville"] );
			$email   = sanitize_email( $_POST["email"] );
			$education   = sanitize_text_field( $_POST["education"] );
			$metier   = sanitize_text_field( $_POST["metier"] );
			$date_service = sanitize_text_field( $_POST["date_service"] );
			$message = esc_textarea( $_POST["message"] );


			$administratif = json_encode($_POST["administratif"]);
			$proximite = json_encode($_POST["proximite"]);
			$reception = json_encode($_POST["reception"]);
			$autre = json_encode($_POST["autre"]);


			//$rating = sanitize_text_field( $_POST["rating"] );
			//is_numeric(
			$now      = new DateTime(); //string value use: %s
			$datesent = $now->format('Y-m-d H:i:s'); //string value use: %s

			//var_dump($_POST);die;
			$tablename = $wpdb->prefix . "cr_reviews";

			$sql = $wpdb->prepare("INSERT INTO `$tablename` ".
				"(`source`, `sexe`, `age`, `ville`, `email`, `education`, `metier`, `date_service`, `message`, `administratif`, `proximite`, `reception`, `autre`, `datesent`) ".
				"values (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)"
				, $source, $sexe, $age, $ville, $email, $education, $metier, $date_service, $message, $administratif, $proximite, $reception, $autre, $datesent);

			if($wpdb->query($sql)>0){
				$_SESSION['cr_messages'] = '<div class="alert alert-success" style="font-size: 20px; font-family: \'Droid Arabic Kufi\', serif !important;">✅ تم إرسال الاستبيان بنجاح </div>
				<script>alert("✅ تم إرسال الاستبيان بنجاح  \n نشكركم على مشاركتكم في تعبئة هذا الاستبيان");</script>';
			}else{
				$_SESSION['cr_messages'] = '<div class="alert alert-danger"  style="font-size: 20px; font-family: \'Droid Arabic Kufi\', serif !important;">⚠️ خطأ في الإرسال </div>';
			}

			
		} else {
			$_SESSION['cr_messages'] = '<div class="alert alert-danger"  style="font-size: 20px; font-family: \'Droid Arabic Kufi\', serif !important;">⚠️ خطأ في CAPTCHA</div>';
		}
		wp_redirect(get_permalink(get_option('cr_page_id')));
		
	}
}
add_action( 'init', 'post_form');





add_action( 'admin_menu', 'my_admin_menu' );
function cr_reviews_admin_page(){
	?>
	<div class="wrap">
		<h2>قياس درجة رضا المواطن عن الخدمات المقدمة بجماعة أيت ملول </h2>
		<?php
		
		global $wpdb;
		$tablename = $wpdb->prefix . "cr_reviews";
		
		
		$total = $wpdb->get_var("SELECT COUNT(*) FROM (SELECT * FROM $tablename LIMIT 0,431) AS a");
		$post_per_page = 10;
		$page = isset( $_GET['cpage'] ) ? abs( (int) $_GET['cpage'] ) : 1;
		$offset = ( $page * $post_per_page ) - $post_per_page;

		// QUERY HERE TO GET OUR RESULTS 
		$results = $wpdb->get_results("SELECT * FROM $tablename LIMIT $post_per_page OFFSET $offset");

		
		//$customers = $wpdb->get_results("SELECT * FROM $tablename ORDER BY ID DESC;");
		//var_dump("SELECT * FROM $tablename ORDER BY ID DESC;");die;
		echo '<h2><a href="'.get_site_url().'/wp-admin/admin.php?page=cr_reviews&action=cr_download_csv_file">Download csv</a></h2>';
		echo "<table class='widefat fixed'>";
		echo "<th>ID</th>";
		echo "<th>المصدر</th>";
		echo "<th>الجنس</th>";
		echo "<th>العمر</th>";
		echo "<th>محل الإقامة الحالية</th>";
		echo "<th>البريد الإلكتروني</th>";
		echo "<th>المستوى التعليمي</th>";
		echo "<th>المهنة</th>";
		echo "<th>توقيت ودرجة التردد</th>";
		echo "<th>ملاحظات واقتراحات عامة</th>";
		echo "<th>تاريخ</th>";

		foreach($results as $review){
			echo "<tr>";
			echo "<td>".$review->ID."</td>";
			$CusID = $review->ID;
			echo "<td style='white-space: nowrap;width: 150px;overflow: hidden;text-overflow: ellipsis;'>".esc_html($review->source)."</td>";
			echo "<td>".esc_html($review->sexe)."</td>";
			echo "<td>".esc_html($review->age)."</td>";
			echo "<td style='white-space: nowrap;width: 150px;overflow: hidden;text-overflow: ellipsis;'>".esc_html($review->ville)."</td>";
			echo "<td style='white-space: nowrap;width: 150px;overflow: hidden;text-overflow: ellipsis;'>".esc_html($review->email)."</td>";
			echo "<td style='white-space: nowrap;width: 150px;overflow: hidden;text-overflow: ellipsis;'>".esc_html($review->education)."</td>";
			echo "<td style='white-space: nowrap;width: 150px;overflow: hidden;text-overflow: ellipsis;'>".esc_html($review->metier)."</td>";
			echo "<td>".esc_html($review->date_service)."</td>";
			echo "<td style='white-space: nowrap;width: 150px;overflow: hidden;text-overflow: ellipsis;'>".esc_html($review->message)."</td>";
			echo "<td>".esc_html($review->datesent)."</td>";
			echo "</tr>";
		}
		echo "</table>";
		
		
		?>
		
<?php 

echo '<div class="pagination">';
echo paginate_links( array(
'base' => add_query_arg( 'cpage', '%#%' ),
'format' => '',
'prev_text' => __('&laquo;'),
'next_text' => __('&raquo;'),
'total' => ceil($total / $post_per_page),
'current' => $page,
'type' => 'list'
));
echo '</div>';
		
		
		
		?>
	</div>
	<style>
	.pagination{
		margin-top: 10px;
	}
	.pagination .page-numbers{
		display: inline;
	}
	.pagination .page-numbers li {
		display: inline;
		background: white;
		padding: 10px;
	}
	</style>
	<?php

	
	
	
}
	
function my_admin_menu() {
	add_menu_page('Reviews View', 'قياس درجة رضا المواطن ', 'manage_options', 'cr_reviews', 'cr_reviews_admin_page', 'dashicons-tag', 6  );
}


function create_custome_menu_admin(){
	$page_title = 'Page Title';
	$page_name = 'Menu Name';
	$page_scope = 'manage_options';
	$page_url = 'page-url';
	$page_func = 'call_back_function_name';
	add_menu_page($page_title, $page_name, $page_scope, $page_url, $page_func);
}
add_action('admin_menu', 'create_custome_menu_admin');
 
function call_back_function_name(){
	
}