<?php

add_action( 'add_meta_boxes', 'cd_meta_box_add' );
function cd_meta_box_add()
{
    //global $themename ;
	add_meta_box( 'my-meta-box-id', theme_name." - ".__("Post options","almtwer"), 'cd_meta_box_cb', 'post', 'normal', 'high' );
}

function cd_meta_box_cb( $post )
{
	$values = get_post_custom( $post->ID );
	$check = isset( $values['showinslider'] ) ? esc_attr( $values['showinslider'][0] ) : '';
    $ajel = isset( $values['breaknews'] ) ? esc_attr( $values['breaknews'][0] ) : '';
    $imgcom = isset( $values['imgcom'] ) ? esc_attr( $values['imgcom'][0] ) : '';
	$check2 = isset( $values['inimagetoday'] ) ? esc_attr( $values['inimagetoday'][0] ) : '';
    $kateb = isset( $values['kateb'] ) ? esc_attr( $values['kateb'][0] ) : '';
    
    $alm_hide_meta = isset( $values['alm_hide_meta'] ) ? esc_attr( $values['alm_hide_meta'][0] ) : '';
    $alm_hide_author = isset( $values['alm_hide_author'] ) ? esc_attr( $values['alm_hide_author'][0] ) : '';
    $alm_hide_share = isset( $values['alm_hide_share'] ) ? esc_attr( $values['alm_hide_share'][0] ) : '';
    $alm_hide_related = isset( $values['alm_hide_related'] ) ? esc_attr( $values['alm_hide_related'][0] ) : '';
    $alm_ftured_image = isset( $values['alm_ftured_image'] ) ? esc_attr( $values['alm_ftured_image'][0] ) : '';
    $alm_sidebar = isset( $values['alm_sidebar'] ) ? esc_attr( $values['alm_sidebar'][0] ) : '';
    
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	?>
    

<p>
<div class="panelp">
<h3><?php _e("General Options","almtwer") ; ?></h3>

<div class="option-item"> 
<label for="showinslider"  class="label"> <?php _e("Show post in slider","almtwer") ?></label>
<input type="checkbox" name="showinslider" id="showinslider" <?php checked( $check, 'on' ); ?> />
</div>
        
<div class="option-item"> 
<label for="breaknews" class="label"><?php _e("Show post in breaking News","almtwer") ?></label>
<input type="checkbox" name="breaknews" id="breaknews" <?php checked( $ajel, 'on' ); ?> />
</div>

<div class="option-item"> 
<label for="imgcom" class="label"><?php _e("Show post image in image and comment widget","almtwer") ?></label>
<input type="checkbox" name="imgcom" id="imgcom" <?php checked( $imgcom, 'on' ); ?> />
</div>
 
<div id="alm_hide_meta-item" class="option-item">
<span class="label"><?php _e("Hide Post Meta","almtwer") ; ?></span>
<select id="alm_hide_meta" name="alm_hide_meta">
<option <?php selected( $alm_hide_meta, '' ); ?> value=""></option>
<option <?php selected( $alm_hide_meta, 'yes' ); ?> value="yes"><?php _e("Yes","almtwer") ; ?></option>
<option <?php selected( $alm_hide_meta, 'no' ); ?> value="no"><?php _e("No","almtwer") ; ?></option>
</select>
</div>

<div id="alm_hide_author-item" class="option-item">
<span class="label"><?php _e("Hide Author Information","almtwer") ; ?></span>
<select id="alm_hide_author" name="alm_hide_author">
<option <?php selected( $alm_hide_author, '' ); ?> value=""></option>
<option <?php selected( $alm_hide_author, 'yes' ); ?> value="yes"><?php _e("Yes","almtwer") ; ?></option>
<option <?php selected( $alm_hide_author, 'no' ); ?> value="no"><?php _e("No","almtwer") ; ?></option>
</select>
</div>

<div id="alm_hide_share-item" class="option-item">
<span class="label"><?php _e("Hide Share Buttons","almtwer") ; ?></span>
<select id="alm_hide_share" name="alm_hide_share">
<option <?php selected( $alm_hide_share, '' ); ?> value=""></option>
<option <?php selected( $alm_hide_share, 'yes' ); ?> value="yes"><?php _e("Yes","almtwer") ; ?></option>
<option <?php selected( $alm_hide_share, 'no' ); ?> value="no"><?php _e("No","almtwer") ; ?></option>
</select>
</div>

<div id="alm_hide_related-item" class="option-item">
<span class="label"><?php _e("Hide Related Posts","almtwer") ; ?></span>
<select id="alm_hide_related" name="alm_hide_related">
<option <?php selected( $alm_hide_related, '' ); ?> value=""></option>
<option <?php selected( $alm_hide_related, 'yes' ); ?> value="yes"><?php _e("Yes","almtwer") ; ?></option>
<option <?php selected( $alm_hide_related, 'no' ); ?> value="no"><?php _e("No","almtwer") ; ?></option>
</select>
</div>

<div id="alm_featured_image2" class="option-item">
<span class="label"><?php _e("Hide Featured Image","almtwer") ; ?></span>
<select id="alm_featured_image" name="alm_ftured_image">
<option <?php selected( $alm_ftured_image, '' ); ?> value=""></option>
<option <?php selected( $alm_ftured_image, 'yes' ); ?> value="yes"><?php _e("Yes","almtwer") ; ?></option>
<option <?php selected( $alm_ftured_image, 'no' ); ?> value="no"><?php _e("No","almtwer") ; ?></option>
</select>
</div>
    
    
<!--<div class="option-item">
	<label for="kateb" class="label">00000000</label>
		<input type="text" name="kateb" id="kateb" value="<?php echo $kateb?>" />
	</div>-->
</p>
            
</div>



<div class="panelp">
<h3><?php _e("Sidebar Options","almtwer") ; ?></h3>

<div id="alm_hide_meta-item" class="option-item">
<span class="label"><?php _e("Sidebar Position","almtwer") ; ?></span>
<select id="alm_hide_meta" name="alm_sidebar">
<option <?php selected( $alm_sidebar, '' ); ?> value=""><?php _e("Default","almtwer") ; ?></option>
<option <?php selected( $alm_sidebar, 'right' ); ?> value="right"><?php _e("Right","almtwer") ; ?></option>
<option <?php selected( $alm_sidebar, 'left' ); ?> value="left"><?php _e("Left","almtwer") ; ?></option>
<option <?php selected( $alm_sidebar, 'nosidebar' ); ?> value="nosidebar"><?php _e("No sidebar","almtwer") ; ?></option>
</select>
</div>

            
</div>


</p>
    
	<?php	
}


add_action( 'save_post', 'cd_meta_box_save' );
function cd_meta_box_save( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// This is purely my personal preference for saving checkboxes
	$chk = ( isset( $_POST['showinslider'] ) && $_POST['showinslider'] ) ? 'on' : 'off';
	update_post_meta( $post_id, 'showinslider', $chk );
    
    
    	// This is purely my personal preference for saving checkboxes
	$chk2 = ( isset( $_POST['inimagetoday'] ) && $_POST['inimagetoday'] ) ? 'on' : 'off';
	update_post_meta( $post_id, 'inimagetoday', $chk2 );
    
    
   	// This is purely my personal preference for saving checkboxes
	$ajel = ( isset( $_POST['breaknews'] ) && $_POST['breaknews'] ) ? 'on' : 'off';
	update_post_meta( $post_id, 'breaknews', $ajel );
    
    	$imgcom = ( isset( $_POST['imgcom'] ) && $_POST['imgcom'] ) ? 'on' : 'off';
	update_post_meta( $post_id, 'imgcom', $imgcom );
    
    
    
    if( isset( $_POST['kateb'] ) )  
    update_post_meta( $post_id, 'kateb', wp_kses( $_POST['kateb'], $allowed ) );
    
    if( isset( $_POST['alm_hide_meta'] ) )  
    update_post_meta( $post_id, 'alm_hide_meta', esc_attr( $_POST['alm_hide_meta'], $allowed ) );
    if( isset( $_POST['alm_hide_author'] ) )  
    update_post_meta( $post_id, 'alm_hide_author', esc_attr( $_POST['alm_hide_author'], $allowed ) );
    if( isset( $_POST['alm_hide_share'] ) )  
    update_post_meta( $post_id, 'alm_hide_share', esc_attr( $_POST['alm_hide_share'], $allowed ) );
    if( isset( $_POST['alm_hide_related'] ) )  
    update_post_meta( $post_id, 'alm_hide_related', esc_attr( $_POST['alm_hide_related'], $allowed ) );
    if( isset( $_POST['alm_ftured_image'] ) )  
    update_post_meta( $post_id, 'alm_ftured_image', esc_attr( $_POST['alm_ftured_image'], $allowed ) );
    if( isset( $_POST['alm_sidebar'] ) )  
    update_post_meta( $post_id, 'alm_sidebar', esc_attr( $_POST['alm_sidebar'], $allowed ) );  
    
    
    
    
	// This is purely my personal preference for saving checkboxes
}